Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510803 - [abrt] dnfdragora-gui: __call__(): __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Zeitüberschreitung wurde erreicht (24)
Summary: [abrt] dnfdragora-gui: __call__(): __init__.py:250:_handle_dbus_error:dnfdaem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:51ff08de00d73bfe624835d96e1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 09:28 UTC by mithrial
Modified: 2018-01-01 22:12 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:28:39 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-08 09:29 UTC, mithrial
no flags Details
File: cgroup (deleted)
2017-11-08 09:29 UTC, mithrial
no flags Details
File: cpuinfo (deleted)
2017-11-08 09:29 UTC, mithrial
no flags Details
File: environ (deleted)
2017-11-08 09:29 UTC, mithrial
no flags Details
File: mountinfo (deleted)
2017-11-08 09:29 UTC, mithrial
no flags Details
File: namespaces (deleted)
2017-11-08 09:29 UTC, mithrial
no flags Details
File: open_fds (deleted)
2017-11-08 09:29 UTC, mithrial
no flags Details

Description mithrial 2017-11-08 09:28:54 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.11-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Zeitüberschreitung wurde erreicht (24)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 214, in _get_daemon
    self.running_api_version = proxy.GetVersion()
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 191, in __call__
    None)
GLib.GError: g-io-error-quark: Zeitüberschreitung wurde erreicht (24)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 236, in inner
    callback(self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 320, in __call__
    return self._action(icon, self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 414, in wrapper1
    return action(icon)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 113, in __run_update
    return self.__run_dialog({'update_only': True})
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 104, in __run_dialog
    self.__main_gui = ui.mainGui(args)
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 214, in __init__
    rpm_groups = self.backend.GetGroups()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 50, in backend
    return self.get_root_backend()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 69, in get_root_backend
    self._root_backend = dnfdragora.dnf_backend.DnfRootBackend(self, self._use_comps)
  File "/usr/lib/python3.6/site-packages/dnfdragora/dnf_backend.py", line 151, in __init__
    dnfdaemon.client.Client.__init__(self)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 549, in __init__
    DnfDaemonBase.__init__(self, system, ORG, INTERFACE)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 205, in __init__
    self.daemon = self._get_daemon(bus, org, interface)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 223, in _get_daemon
    self._handle_dbus_error(err)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-io-error-quark: Zeitüberschreitung wurde erreicht (24)

Local variables in innermost frame:
msg: ''
exc: ''
err: GLib.Error('Zeitüberschreitung wurde erreicht', 'g-io-error-quark', 24)
self: <dnfdragora.dnf_backend.DnfRootBackend object at 0x7fe44caea320>

Comment 1 mithrial 2017-11-08 09:29:00 UTC
Created attachment 1349346 [details]
File: backtrace

Comment 2 mithrial 2017-11-08 09:29:01 UTC
Created attachment 1349347 [details]
File: cgroup

Comment 3 mithrial 2017-11-08 09:29:02 UTC
Created attachment 1349348 [details]
File: cpuinfo

Comment 4 mithrial 2017-11-08 09:29:04 UTC
Created attachment 1349349 [details]
File: environ

Comment 5 mithrial 2017-11-08 09:29:05 UTC
Created attachment 1349350 [details]
File: mountinfo

Comment 6 mithrial 2017-11-08 09:29:07 UTC
Created attachment 1349351 [details]
File: namespaces

Comment 7 mithrial 2017-11-08 09:29:08 UTC
Created attachment 1349352 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-29 23:24:03 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 9 Fedora Update System 2017-12-29 23:28:09 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 10 Fedora Update System 2017-12-30 19:55:00 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 11 Fedora Update System 2017-12-30 20:40:46 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 12 Fedora Update System 2017-12-31 21:28:39 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-01 22:12:13 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.